All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.portal.portlet.remote
Class RemotePortletToolkitUtil

    com.sas.portal.portlet.remote.RemotePortletToolkitUtil

    @SASScope(value="ALL")
    public class RemotePortletToolkitUtil

Field Summary
`static java.lang.String` | `ACTION_URL_KEY`
`static java.lang.String` | `LOGOFF_URL_KEY`
`static java.lang.String` | `PAGE_REFRESH_ACTION`
`static java.lang.String` | `RENDER_AS_WEBAPP_ACTION`

Constructor Summary
`RemotePortletToolkitUtil()`

Method Summary
`static java.lang.String` | `appendPortletTargetId(java.lang.String id)`
`static java.lang.String` | `getAction(javax.servlet.http.HttpServletRequest request, RemotePortletContext context)`
`static java.util.Map` | `getContextSharingMap(javax.servlet.http.HttpServletRequest request)`
`static java.lang.String` | `getPortletId(javax.servlet.http.HttpServletRequest request)`
`static RemotePortletContext` | `getRemotePortletContext(javax.servlet.http.HttpServletRequest request)`
`static boolean` | `isLogoffRequest(javax.servlet.http.HttpServletRequest request)`
`static boolean` | `isPortletRequest(javax.servlet.http.HttpServletRequest request)` 22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain

Field Detail

### ACTION_URL_KEY

    public static final java.lang.String ACTION_URL_KEY

See Also:
  Constant Field Values

### LOGOFF_URL_KEY

    public static final java.lang.String LOGOFF_URL_KEY

See Also:
  Constant Field Values

### RENDER_AS_WEBAPP_ACTION

    public static final java.lang.String RENDER_AS_WEBAPP_ACTION

See Also:
  Constant Field Values

### PAGE_REFRESH_ACTION

    public static final java.lang.String PAGE_REFRESH_ACTION

See Also:
  Constant Field Values

Constructor Detail

### RemotePortletToolkitUtil

    public RemotePortletToolkitUtil()

Method Detail

### getPortletId

    public static java.lang.String getPortletId(javax.servlet.http.HttpServletRequest request)

### isPortletRequest

    public static boolean isPortletRequest(javax.servlet.http.HttpServletRequest request)

  22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain

  Parameters:
    `request` -
  Returns:
    true if this is a portlet request

### getRemotePortletContext

    public static RemotePortletContext getRemotePortletContext(javax.servlet.http.HttpServletRequest request)

  Parameters:
    `request` -
  Returns:
    the RemotePortletContext Used by com.sas.svcs.alerts.portlet.actions in Products/BIServices/Applications/SharedPortlets

### getAction

    public static java.lang.String getAction(javax.servlet.http.HttpServletRequest request,
                                             RemotePortletContext context)

### getContextSharingMap

    public static java.util.Map getContextSharingMap(javax.servlet.http.HttpServletRequest request)

### appendPortletTargetId

    public static java.lang.String appendPortletTargetId(java.lang.String id)

### isLogoffRequest

    public static boolean isLogoffRequest(javax.servlet.http.HttpServletRequest request)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.